Skip to main content
`Ctrl`+`K`

# PetscDTAltVInteriorMatrix

Compute the matrix of the linear transformation induced on a k-form by the interior product with a vector

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTAltVInteriorMatrix(PetscInt N, PetscInt k, const PetscReal *v, PetscReal *intvMat)

## Input Parameters

- N - the dimension of the vector space, N >= 0

- k - the degree k of the k-forms on which intvMat acts, 0 <= k <= N

- v - an N dimensional vector

## Output Parameter

- intvMat - an [(N choose (k-1)) x (N choose k)] matrix, row-major: (intvMat) * w = (w int v)

## See Also

`PetscDTAltV`, `PetscDTAltVInterior()`, `PetscDTAltVInteriorPattern()`, `PetscDTAltVPullback()`, `PetscDTAltVPullbackMatrix()`

## Level

intermediate

## Location

src/dm/dt/interface/dtaltv.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages